#include "CH549.H"

#include "GPIO.H"
#ifndef __OLED_H
#define __OLED_H			  	 
// #define  u8 unsigned char 
// #define  u32 unsigned int 
#define OLED_CMD  0	//д
#define OLED_DATA 1	//д
#define OLED_MODE 0

sbit OLED_CS=P2^4; //Ƭѡ
sbit OLED_DC =P2^3;///  D/C
sbit OLED_RST =P2^2;//λ
sbit OLED_SDIN=P2^1;//D1MOSI 
sbit OLED_SCL=P2^0;//ʱ D0SCLK)



#define OLED_CS_Clr()  OLED_CS=0
#define OLED_CS_Set()  OLED_CS=1

#define OLED_RST_Clr() OLED_RST=0
#define OLED_RST_Set() OLED_RST=1

#define OLED_DC_Clr() OLED_DC=0
#define OLED_DC_Set() OLED_DC=1

#define OLED_SCLK_Clr() OLED_SCL=0
#define OLED_SCLK_Set() OLED_SCL=1

#define OLED_SDIN_Clr() OLED_SDIN=0
#define OLED_SDIN_Set() OLED_SDIN=1;





//OLEDģʽ
//0:4ߴģʽ
//1:8080ģʽ

#define SIZE 16
#define XLevelL		0x02
#define XLevelH		0x10
#define Max_Column	128
#define Max_Row		64
#define	Brightness	0xFF 
#define X_WIDTH 	128
#define Y_WIDTH 	64	    						  
//-----------------OLED˿ڶ----------------  					   

void delay_ms(unsigned int ms);


 		     

//OLEDú
void OLED_WR_Byte(UINT8 dat,UINT8 cmd);	    
void OLED_Display_On(void);
void OLED_Display_Off(void);	   							   		    
void OLED_Init(void);
void OLED_Clear(void);
void OLED_DrawPoint(UINT8 x,UINT8 y,UINT8 t);
void OLED_Fill(UINT8 x1,UINT8 y1,UINT8 x2,UINT8 y2,UINT8 dot);
void OLED_ShowChar(UINT8 x,UINT8 y,UINT8 chr);
void OLED_ShowNum(UINT8 x,UINT8 y,UINT16 num,UINT8 len,UINT8 size2);
void OLED_ShowString(UINT8 x,UINT8 y, UINT8 *p);	 
void OLED_Set_Pos(UINT8 x, UINT8 y);
void OLED_ShowCHinese(UINT8 x,UINT8 y,UINT8 no);
void OLED_DrawBMP(UINT8 x0, UINT8 y0,UINT8 x1, UINT8 y1,UINT8 BMP[]);
#endif  
	 



